> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector By Id

> Get a connector by its slug and ID.

Args:
    connector_slug (str): The slug of the connector.
    connector_id (str): The ID of the connector.
    db (Session, optional): The database session. Defaults to Depends(get_db).
    user (User, optional): The current active user. Defaults to Depends(get_current_active_user).

Returns:
    dict: The details of the connector.

Raises:
    HTTPException: If the connector is not found.



## OpenAPI

````yaml get /v1/connectors/{connector_slug}/{connector_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/connectors/{connector_slug}/{connector_id}:
    get:
      tags:
        - connector
      summary: Get Connector By Id
      description: |-
        Get a connector by its slug and ID.

        Args:
            connector_slug (str): The slug of the connector.
            connector_id (str): The ID of the connector.
            db (Session, optional): The database session. Defaults to Depends(get_db).
            user (User, optional): The current active user. Defaults to Depends(get_current_active_user).

        Returns:
            dict: The details of the connector.

        Raises:
            HTTPException: If the connector is not found.
      operationId: get_connector_by_id_v1_connectors__connector_slug___connector_id__get
      parameters:
        - required: true
          schema:
            type: string
            title: Connector Slug
          name: connector_slug
          in: path
        - required: true
          schema:
            type: string
            title: Connector Id
          name: connector_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````